watchtower docker conatiner running:
  docker_container.running:
    - name: watchtower
    - image: {{ salt['pillar.get']('watchtower:image:path', 'ghcr.io/containrrr/watchtower') }}:{{ salt['pillar.get']('watchtower:image:version', 'latest') }}
    - container_name: watchtower
    - command: {{ salt['pillar.get']('watchtower:command', '') }}
    {% if pillar['watchtower']['environment'] %}
    - environment:
    {% for key, value in pillar.get('watchtower:environment', {}).items() %}
      - {{key}}={{value}}
    {% endfor %}
    {% endif %}
    - binds:
      - /var/run/docker.sock:/var/run/docker.sock:ro
    - restart: always
    - networks:
      - bridge
